Bug 500572 - kde4 konqueror does not honor https proxy
kde4 konqueror does not honor https proxy
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 06:49 EDT by Konrad Karl
Modified: 2009-07-21 21:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-21 21:24:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Konrad Karl 2009-05-13 06:49:46 EDT
Description of problem:

konqueror on https URLs  is unuseable in enterprise environments which force the
use of a proxy for all web access. 

http and ftp works fine over the proxy.

Instead of connecting to the proxy konqueror queries the nameserver for
the host which is always going to fail. 

This bug has been present since beginning of KDE4.

kdebase-4.2.2-2.fc11 (uptodate rawhide), kdebase-4.2.2-3.fc10 as well.

Konrad
Comment 1 Kevin Kofler 2009-05-13 08:08:00 EDT
The kdebase4 package is obsolete, bugs must be filed against kdebase. Reassigning.
Comment 2 Steven M. Parrish 2009-05-29 20:51:20 EDT
Please report this issue upstream at http://bugs.kde.org  Once you have
reported the issue upstream please add the upstream report info to this report
so we can monitor it for a resolution.

Thanks
Comment 3 Konrad Karl 2009-06-04 16:46:28 EDT
I disagree that It should be me to report upstream - this is a maintainers job.
I feel like a Fedora "customer" and my point of contact should be within Fedora.
 
Thanks for your understanding. (and sorry for late reply, was travelling)
Konrad
Comment 4 Steven M. Parrish 2009-06-04 19:12:29 EDT
The maintainers job is to package the applications for use in Fedora.  If you are having an issue with the application itself that needs to be addressed by the upstream developers.  Currently the upstream developers have several open bugs reports concerning proxy issues with Konqueror.  It would be to your benefit to check them out to see if one matches your situation and if so add your feedback to the bug report and even CC yourself on the report so you will be kept informed as to the progress they are making.  

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2009-06-09 11:44:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Konrad Karl 2009-06-28 08:02:31 EDT
still not fixed in kdebase-4.2.4-2.fc11.x86_64.

trying a https URL with numeric IP address seems to work but a hostname in
the URL still triggers a DNS lookup which will obviously fail in a proxy-only
environment.
Comment 7 Steven M. Parrish 2009-07-21 21:24:12 EDT
Was this ever filed upstream?  If not that is why there has been no fix.  Closing this as INSUFFICIENT_DATA.  Please feel free to reopen if/when there is an upstream report.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.